<template>
  <div class="app-container">
    <el-tabs :tab-position="tabPosition" @tab-click="handleClick" v-model="activeName">
      <el-tab-pane label="H109" name="h109"><h109 ref="h109"></h109></el-tab-pane>
      <el-tab-pane label="H110" name="h110"><h110 ref="h110"></h110></el-tab-pane>
      <el-tab-pane label="H111" name="h111"><h111 ref="h111"></h111></el-tab-pane>
      <el-tab-pane label="H112" name="h112"><h112 ref="h112"></h112></el-tab-pane>
      <el-tab-pane label="H113" name="h113"><h113 ref="h113"></h113></el-tab-pane>
      <el-tab-pane label="H114" name="h114"><h114 ref="h114"></h114></el-tab-pane>
      <el-tab-pane label="H115" name="h115"><h115 ref="h115"></h115></el-tab-pane>
      <el-tab-pane label="H116" name="h116"><h116 ref="h116"></h116></el-tab-pane>
      <el-tab-pane label="H117" name="h117"><h117 ref="h117"></h117></el-tab-pane>
      <el-tab-pane label="H118" name="h118"><h118 ref="h118"></h118></el-tab-pane>
      <el-tab-pane label="H130" name="h130"><h130 ref="h130"></h130></el-tab-pane>
      <el-tab-pane label="COIL" name="coil"><coil ref="coil"></coil></el-tab-pane>
      <el-tab-pane label="MAX" name="max"><max ref="max"></max></el-tab-pane>
      <el-tab-pane label="FVP" name="fvp"><fvp ref="fvp"></fvp></el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
  import h109 from "./h109"
  import h110 from "./h110"
  import h111 from "./h111"
  import h112 from "./h112"
  import h113 from "./h113"
  import h114 from "./h114"
  import h115 from "./h115"
  import h116 from "./h116"
  import h117 from "./h117"
  import h118 from "./h118"
  import h130 from "./h130"
  import coil from "./coil"
  import max from "./max"
  import fvp from "./fvp"
  export default {
    name: "Pressure",
    components: { h109, h110, h111, h112, h113, h114, h115, h116, h117, h118, h130, coil, max, fvp },
    data() {
      return {
        tabPosition: 'left',
        activeName: 'h109'
      };
    },
    created() {
      this.$nextTick(() => {
        this.handleClick();
      })
    },
    methods: {
      handleClick(tab, event) {
        if (this.activeName == 'h109') {
          this.$refs.h109.init();
        } else if (this.activeName == 'h110') {
          this.$refs.h110.init();
        } else if (this.activeName == 'h111') {
          this.$refs.h111.init();
        } else if (this.activeName == 'h112') {
          this.$refs.h112.init();
        } else if (this.activeName == 'h113') {
          this.$refs.h113.init();
        } else if (this.activeName == 'h114') {
          this.$refs.h114.init();
        } else if (this.activeName == 'h115') {
          this.$refs.h115.init();
        } else if (this.activeName == 'h116') {
          this.$refs.h116.init();
        } else if (this.activeName == 'h117') {
          this.$refs.h117.init();
        } else if (this.activeName == 'h118') {
          this.$refs.h118.init();
        } else if (this.activeName == 'h130') {
          this.$refs.h130.init();
        } else if (this.activeName == 'coil') {
          this.$refs.coil.init();
        } else if (this.activeName == 'max') {
          this.$refs.max.init();
        } else if (this.activeName == 'fvp') {
          this.$refs.fvp.init();
        }
      },
    }
  }
</script>

<style scoped>

</style>
